[arch-commits] Commit in audacity/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Jul 17 23:00:08 EDT 2009


    Date: Friday, July 17, 2009 @ 23:00:08
  Author: eric
Revision: 46399

Merged revisions 46398 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/audacity/trunk

........
  r46398 | eric | 2009-07-17 22:59:51 -0400 (Fri, 17 Jul 2009) | 2 lines
  
  upgpkg: audacity 1.3.8-1
      Upstream update, Updated source url, Improved description
........

Modified:
  audacity/repos/extra-x86_64/	(properties)
  audacity/repos/extra-x86_64/ChangeLog
  audacity/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    7 +++++++
 PKGBUILD  |   20 ++++++++++----------
 2 files changed, 17 insertions(+), 10 deletions(-)


Property changes on: audacity/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /audacity/trunk:1-25815
   + /audacity/trunk:1-46398

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2009-07-18 02:59:51 UTC (rev 46398)
+++ extra-x86_64/ChangeLog	2009-07-18 03:00:08 UTC (rev 46399)
@@ -1,3 +1,10 @@
+2009-07-17  Eric Belanger  <eric at archlinux.org>
+
+	* audacity 1.3.8-1
+	* Upstream update
+	* Updated source url
+	* Improved description
+
 2009-01-30  Eric Belanger  <eric at archlinux.org>
 
 	* audacity 1.3.7-1

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-07-18 02:59:51 UTC (rev 46398)
+++ extra-x86_64/PKGBUILD	2009-07-18 03:00:08 UTC (rev 46399)
@@ -4,9 +4,9 @@
 # Contributor: dorphell <dorphell at archlinux.org>
 
 pkgname=audacity
-pkgver=1.3.7
+pkgver=1.3.8
 pkgrel=1
-pkgdesc="Audacity is a program that lets you manipulate digital audio waveforms"
+pkgdesc="A program that lets you manipulate digital audio waveforms"
 arch=('i686' 'x86_64')
 url="http://audacity.sourceforge.net/"
 license=('GPL')
@@ -15,16 +15,16 @@
 makedepends=('zip' 'python' 'pkgconfig' 'soundtouch')
 options=('!makeflags')
 install=audacity.install
-source=(http://downloads.sourceforge.net/sourceforge/audacity/${pkgname}-minsrc-${pkgver}.tar.bz2 \
+source=(http://audacity.googlecode.com/files/${pkgname}-minsrc-${pkgver}.tar.bz2 \
         audacity.xpm audacity16.xpm)
-md5sums=('7dcbcd8ed417413fd824d446001058d9' 'c8f7f7851638eedf84d05a1afde797b2'\
+md5sums=('88b3c68663a06f146fe822b91608e8f1' 'c8f7f7851638eedf84d05a1afde797b2'\
          '5e94ccbfb665e8356dc4172a3673b4d4')
-sha1sums=('ba4a696bb950800c690ec80138aa84801e04f35a'
+sha1sums=('8b8e5dbbf38546c08eb77005f77648d28836dfd4'
           'a2b6626cd1cdcd9facb262116804d9349e1e6144'
           'a208a4ed129c73f97347bab929c7758a345e8e9a')
 
 build() {
-  cd ${srcdir}/${pkgname}-src-${pkgver}
+  cd "${srcdir}/${pkgname}-src-${pkgver}"
 
   WX_CONFIG=/usr/bin/wx-config \
   ./configure --prefix=/usr \
@@ -33,10 +33,10 @@
      --with-id3tag=system --with-flac=system \
      --with-vorbis=system --with-libexpat=system \
      --with-libsndfile=system --with-soundtouch \
-     --enable-unicode || return 1
+     --enable-unicode --without-taglib || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -m644 ../audacity.xpm ${pkgdir}/usr/share/${pkgname}/audacity.xpm || return 1
-  install -m644 ../audacity16.xpm ${pkgdir}/usr/share/${pkgname}/audacity16.xpm || return 1
+  install -m644 ../audacity.xpm "${pkgdir}/usr/share/${pkgname}/audacity.xpm" || return 1
+  install -m644 ../audacity16.xpm "${pkgdir}/usr/share/${pkgname}/audacity16.xpm" || return 1
 }



More information about the arch-commits mailing list